#
# @(#)S510cle	1.13 01/09/20 SMI
#
# Launch Desktop X Input Method Server for CLE
# Locale: zh, zh_CN, zh_CN.EUC, zh.GBK, zh_CN.GBK, zh_CN.GB18030
#

if [ -x /usr/openwin/bin/htt -a -f /usr/lib/im/leif/cle.so ]; then 

	if [ "_$cledisablestatusarea" = "_true" ]; then
		: # disable status area on each window's bottom
		: # by setting "export cledisablestatusarea=true"
		: # in $HOME/.dtprofile

		: # for Motif or others which use XIMStatusArea
		echo "*disableStatusArea: true" \
			| /usr/openwin/bin/xrdb -m
		: # for XView which use XIMStatusCallback
		echo "OpenWindows.ImStatusStyle: none" \
			| /usr/openwin/bin/xrdb -m
	fi

	/usr/openwin/bin/htt -if cle -xim htt_xbe
	DISABLE_MULTI_SCRIPT_IM=true; export DISABLE_MULTI_SCRIPT_IM
	unset DTSTARTIMS
fi
